Summary: A GNU collection of diff utilities.
Name: diffutils
Version: 3.1
Release: 1
Group: Applications/Text
URL: http://www.gnu.org/software/diffutils
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: /sbin/install-info, info
BuildRequires: gettext, libsigsegv-devel >= 2.7
Requires: /sbin/install-info, info
Requires: gettext, libsigsegv >= 2.7

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line.  The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files.  The
diff3 command shows the differences between three files.  Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both sets of
changes and warnings about conflicts.  The sdiff command can be used
to merge two files interactively.

Install diffutils if you need to compare text files.


%prep
%setup -q


%build
export CFLAGS="$CFLAGS -D_LARGE_FILES"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/diff*

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/linux/bin
  cd usr/linux/bin
  ln -sf ../../..%{_bindir}/* .
)


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir --entry="* diff: (diff).                 The GNU diff."


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir --entry="* diff: (diff).                 The GNU diff."
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc NEWS README COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/diff*.info*gz
%{_datadir}/locale/*/*/*
/usr/linux/bin/*


%changelog
* Thu Aug 11 2010 Michael Perzl <michael@perzl.org> - 3.1-1
- updated to version 3.1

* Thu Jul 01 2010 Michael Perzl <michael@perzl.org> - 3.0-2
- removed dependency on gettext >= 0.17

* Mon May 03 2010 Michael Perzl <michael@perzl.org> - 3.0-1
- updated to version 3.0-1

* Sun Feb 14 2010 Michael Perzl <michael@perzl.org> - 2.9-1
- updated to version 2.9-1

* Sun Feb 14 2010 Michael Perzl <michael@perzl.org> - 2.8.1-2
- first version for AIX V5.1 and higher
